summaryrefslogtreecommitdiffstats
path: root/testsuite/dwz.tests/objcopy-strip-debug.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--testsuite/dwz.tests/objcopy-strip-debug.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/testsuite/dwz.tests/objcopy-strip-debug.sh b/testsuite/dwz.tests/objcopy-strip-debug.sh
new file mode 100644
index 0000000..a22ba3a
--- /dev/null
+++ b/testsuite/dwz.tests/objcopy-strip-debug.sh
@@ -0,0 +1,30 @@
+objcopy --strip-debug $execs/hello 1
+
+cp 1 1.saved
+
+if dwz 1 2>dwz.err; status=$?; then
+ true
+fi
+
+if ! grep -q "\.debug_info section not present" dwz.err; then
+ cat dwz.err
+ exit 1
+fi
+
+[ $status -eq 0 ]
+
+cmp 1 1.saved
+
+if dwz 1 -o 2 2>dwz.err; status=$?; then
+ true
+fi
+
+if ! grep -q "\.debug_info section not present" dwz.err; then
+ cat dwz.err
+ exit 1
+fi
+
+[ $status -eq 1 ]
+[ ! -f 2 ]
+
+rm -f 1 1.saved dwz.err